update(2) : stereo view in SW

Discussion in 'SolidWorks' started by Vigilante, Oct 12, 2003.

  1. Vigilante

    Vigilante Guest

    i`ve ended with a VB code like this:

    <code>
    Dim swApp As Object
    Dim swModel As Object
    Dim swView As Object
    Dim bEnable As Variant
    Dim Retval As Variant
    Dim dfSeparation As Variant
    Dim errors As Long
    Dim DataArray(1) As Double

    Sub main()

    Set swApp = Application.SldWorks
    Set swModel = swApp.ActiveDoc()
    Set swView = swModel.ActiveView
    bEnable = 1
    Retval = swApp.EnableStereoDisplay(bEnable)
    bEnable = 3
    Retval = swApp.EnableStereoDisplay(bEnable)
    'MsgBox "EnableStereoDisplay returns:"
    'MsgBox Retval
    Rem dfSeparation = swView.GetStereoSeparation()
    Rem array (StereoMagintude, StereoParalax)
    Rem dfSeparation = Array(0.5, -15)
    DataArray(0) = 2
    DataArray(1) = 150
    dfSeparation = DataArray
    Retval = swView.SetStereoSeparation((dfSeparation))
    'MsgBox "SetStereoSeparation returns:"
    'MsgBox Retval
    'Retval = swApp.EnableStereoDisplay(bEnable) ' not here
    End Sub

    Retval returns true both in EnableStereo and SetStereo, but nothing else
    happens(I.m. image is not going stereo, even shutglasses don`t kick in).
    Can anyone test it on Quadro graphics card? i think that this might be my
    problem . . . i have Gainward Ti4200 and SoftQuadro4 doesn`t work for me . .
    ..
     
    Vigilante, Oct 12, 2003
    #1
Ask a Question

Want to reply to this thread or ask your own question?

You'll need to choose a username for the site, which only take a couple of moments (here). After that, you can post your question and our members will help you out.